@import url("https://use.typekit.net/ivp2cyt.css");
@import url("https://use.typekit.net/ivp2cyt.css"); /* GOTHAM */
/* IMPORTA FONT DA ADOBE FONTS */

/*
Esempi: 

DARKMODE:

font-family: "darkmode-on", helvetica, sans-serif;
font-weight: 400;
font-style: normal;

GOTHAM BLACK:

font-family: "gotham", sans-serif;
font-weight: 900;
font-style: normal;

*/


html, body {
    overflow-x: hidden;
}

:root{

    --c0: rgb(255,255,244);
    --c1: #212121;

    font-family: "gotham", sans-serif;
    font-style: normal;

    background-color: var(--c0);

    scroll-behavior: smooth;
    scrollbar-color: var(--c1) transparent;


}

@media (prefers-color-scheme: dark) {

                :root{


                --c0: #212121;
                --c1: white; 


                font-family: "gotham", sans-serif;
                font-style: normal;

                background-color: var(--c0);

                scroll-behavior: smooth;
                scrollbar-color: var(--c1) transparent;

                }


                .menu nav a{
                    filter: drop-shadow(0 0 2px var(--c0));
                }


                .menu nav a:hover{

            
                    filter: drop-shadow(0 2px 2px var(--c0));
               

                }

                .cbr{

                    background-color: rgb(238, 238, 238);
                }


                .cbr:hover{

                    background-color: white;
                }
}

/*INIZIO CODICE PER FULL PAGE WPBAKERY*/

main#main.site-main{
    padding: 0;
}

#masthead{
    display: none;
}

div.entry-content{
    margin: 0;
}

header.entry-header.alignwide{
    display: none;
}

div.vc_row.wpb_row.vc_row-fluid{
    margin: 0 !important;
}

div.vc_column-inner{
    padding: 0 !important;
}

div.vc_column-inner{
    padding: 0;
}

.wpb-content-wrapper{
    margin-top: 0 !important;
    width: 100vw !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
    max-width: 100vw !important;
    background-color: var(--c0);
}

/* FINE CODICE FULLPAGE WPB */

/* ---------------------- INIZIO MENU DESKTOP ----------------------- */

.menu-mobile-button {

    display: none;
    position: fixed;
}

.menu-mobile-overlay {

    display: none;
    position: fixed;
}

#menuoverlay{
    display: none;
    position: fixed;
}

/* Sparizione Menu mobile */


.menu {


    backdrop-filter: blur(15px);
    background-color: var(--c0);
    width: 80%;
    height: 3vw;
    margin-left: 10%;
    margin-right: 10%;
    display: block;
    position: fixed;
    border-radius: 2vw;
    z-index: 99;
    top: 0px;

}

.menu nav a{

    color: var(--c1);
    font-family: 'gotham', sans-serif;
    font-size: 1.333vw;
    font-weight: 900;
    text-decoration: none;
    line-height: 3vw;

    padding-left: 1%;
    border-radius: 40%;
    padding-top: 0.5%;
    padding-right: 2%;
    padding-bottom: 0.5%;
    transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
    transition-duration: .5s;

    filter: drop-shadow(0 2px 3px rgba(0,0,0, 0.3));


}


.menu nav a:hover{

    text-decoration: underline;
    filter: drop-shadow(0 2px 2px rgba(0,0,0, 0.3));
    font-size: 1.38vw;

}

.menu nav a:focus{
    background-color: transparent !important;
}

.menulinks {

    position: relative;
    right: 0px;
    width: 70%;
    margin-left: 30%;
    height: 100%;
}

.icona {

    height: 100%;
    width: auto;
    position: fixed;
    top: 0%;
    margin-left: 0.3%;
           /* transizione di ritorno, x modificare curva da inspect su firefox */
           transition-timing-function: cubic-bezier(.08,.24,.15,.86);
           transition-duration: 333ms; 
}

.icona img:hover{

    scale: 1.2 ;
           /* transizione di ritorno, x modificare curva da inspect su firefox */
           transition-timing-function: cubic-bezier(.08,.24,.15,.86);
           transition-duration: 333ms; 

}


/* -------------- FINE MENU -------------------- */

h1{
    font-weight: 900;
    font-size: 7vw;
    color: var(--c1);
}

h2 {

    font-size: 2.6vw;
    font-family: "gotham", sans-serif;
    font-weight: 500;
    letter-spacing: -.15vw;
    color: var(--c1);
}

h3 {

    font-size: 2vw;

    font-family: "gotham", sans-serif;
    font-weight: 600;
    letter-spacing: -.15vw;
    color: var(--c1);
}


.a{
    color: var(--c1);
}

.html {
    overflow: scroll;
    scroll-behavior: smooth;
}


.primary-navigation {
    
    position: absolute;
    margin-top: 1vw;
    margin-left: 10vw;

    text-align: center;
}


.div.titolo{

    color: var(--c1);
}



.hero {

    width: 100vw; /* Larghezza 100% della viewport width */

    height: 46.66vw; /* Altezza 62.5% della viewport width (rapporto 16:10 se 100vw è 16 unità) */

    position: relative; /* Necessario per posizionare i layer in modo assoluto al suo interno */

    overflow: hidden; /* Nasconde le parti delle immagini che escono dal contenitore */

    background: #23b6f0;
    background: linear-gradient(180deg, rgb(20, 139, 186) 0%, rgb(88, 181, 204) 21%, rgb(110, 205, 224) 40%, rgb(247, 188, 87) 68%, rgb(255, 173, 66) 100%)

}


.parallax-layer {

    position: absolute;

    top: 0;

    left: 0;

    width: 100%;

    height: 100%;

    object-fit: cover; /* Assicura che l'immagine copra l'area, potrebbe tagliarla */

    /* Se vuoi che l'immagine sia contenuta interamente, usa object-fit: contain;

       ma potrebbe lasciare spazi vuoti se l'aspect ratio non corrisponde. */

}


/* Z-index per definire l'ordine di sovrapposizione */

/* layer0 è il più vicino, layer4 il più lontano */

#layer0 { z-index: 5; object-fit: contain; margin-top: 26.66vw;}

.cls-1{

    fill: var(--c0);
}

#layer0{margin-top: 26vw;}

#layer1 { z-index: 4; object-fit: contain; margin-top: 11vw;margin-left: 10vw;}

#layer2 { z-index: 3; object-fit: contain; width: 100vw; margin-top: -2vw; margin-left: 36vw;}

#layer3 { z-index: 2; object-fit: fill;margin-top: 18vw;}

#layer4 { z-index: 1; object-fit: contain; margin-top: 47vw;}


.hero-content {

    position: relative; /* Per posizionarlo sopra i layer */

    z-index: 10; /* Deve essere sopra tutti i parallax-layer */

    color: white;

    text-align: center;

    display: flex;

    flex-direction: column;

    justify-content: center;

    align-items: center;

    height: 100%; /* Occupa tutta l'altezza dell'hero */

    text-shadow: 2px 2px 4px rgba(0,0,0,0.7); /* Ombra per leggibilità */

    margin-top: -4vw;

}


.hero-content h1 {

    font-size: 4.666vw;

    margin-bottom: 0.5em;

}


.hero-content p {

    font-size: 1.2em;

}

.nome {
    
    text-align: center;
    
 
    width: 80vw;
    position: absolute;
    margin-top: -10vw;
    left: 10vw;
    display: block;
    right: 10vw;

    
}

.nome h1{
            color: #fff;
    
font-family: 'Gotham Black', sans-serif;

    font-size: 5vw;
    
}

.nome h2 {
    color: #fff;
    font-family: 'Gotham light', sans-serif;
    font-size: 2.5vw;
    margin-top:-1vw;
    text-align: left;
    margin-left: 26.3vw;
}


.descrizione {
    
    text-align: left;
    
 
    width: 61vw;
    position: relative;
    margin-top: 10vw;
    left: 10vw;
    display: block;
    right: 10vw;

    
}

.descrizione h1{
            color: #fff;
    
font-family: 'Gotham Black', sans-serif;

    font-size: 5vw;
    
}

.descrizione h2 {
    color: #fff;
    font-family: 'Gotham Book', sans-serif;
    font-size: 5vw;
}



.testo {
    color: #faa425;
    font-family: 'Gotham Book', sans-serif;
    font-size: 2vw;
    word-wrap: normal;
    overflow: visible;
    text-align: left;
    line-height: 2vw;
    
    
}

.vc_col-sm-12 {
      width: 100%;
  left: 0px;
}


.vc_row-fluid {
    
    margin-left: 0px;
    
    
}


.entry-header{
    
    display:none;
}

.entry-content p {
  word-wrap: normal;
}


.primary-menu-container {
    
    margin-left:auto;
    margin-right:auto;
}


.firma {
    
position: fixed;
margin-right: 0.5vw;
    margin-left: 96vw;
    top: 94vh;
  }



.firma img{
    
    width: 5vw;
    height: auto;
}

.backtop {
    
position: fixed;
margin-right: 0.5vw;
    margin-left: 0;
    top: 90vh;
            transition-timing-function: cubic-bezier(.08,.24,.15,.86);
     transition-duration: 300ms; 
    box-shadow: 0px 10px 800px #212121;
  border-radius: 1.2vw;
    opacity:80;
  }
  
  .backtop:hover {
    transition-timing-function: cubic-bezier(.08,.24,.15,.86);
     transition-duration: 300ms; 
    box-shadow: 0px 10px 15px black;
  border-radius: 1vw;
    opacity:100;
    scale:1.4;
     margin-left: 1vw;
    top:88vh;
    cursor: pointer;
  }


.backtop img{
    
    width: 5vw;
    height: auto;
}

.ill {
    width: 80vw;
    overflow: hidden;
    margin-left: 10vw;
    border-radius: 4vw;
    transition-timing-function: cubic-bezier(.08,.24,.15,.86);
    transition-duration: 300ms; 
    margin-top: 6.66%;
    filter: drop-shadow(0 0 3px rgba(0,0,0,0.3));
}

.ill:hover{
    transition-timing-function: cubic-bezier(.08,.24,.15,.86);
     transition-duration: 300ms; 
     scale: 1.02;
     border-radius: 1.66vw;

}

.sedicinoni{

    width: 100%;
}

.cbr {
    transition-timing-function: cubic-bezier(.08,.24,.15,.86);
    transition-duration: 600ms; 

}

.cbr:hover {

    transition-timing-function: cubic-bezier(.08,.24,.15,.86);
    transition-duration: 800ms; 
}

.titolo {

    width: 40vw;
    margin-left: 30vw;
    font-family: 'Gotham Black', sans-serif;
    font-size: 1.66vw;
    text-align: center;
    color: var(--c1);

}





  
  
  
  
  
  
  /*-------------------------------*/

    .piede p {
        
        font-size: 1.666vw;
  line-height: 1.5vw;
  font-style: normal;
  font-family: 'Gotham light', sans-serif;
  text-align: center;
        
    }
    
    .finesito {
        width: 100vw;
        height: 3vw;
    }



/*MOBILE --------------------------------------------------------------
*/
@media screen and (max-width: 666px) { 

    .menu {
        display: none;
    }
    
    
    
    /* Inizio Menu Mobile */
    
    .menu-mobile-button {
        position: fixed;
        top: 4vw;
        right: 4vw;
        z-index: 1001;
        background: transparent !important;
        border: none;
        font-size: 8vw;
        cursor: pointer;
        color: var(--c1) !important;
        display: block;
        line-height: 0;
    }
    
    .menu-mobile-overlay {
    
        position: fixed;
    
        top: 0;
    
        right: 0;
    
        width: 0;
    
        height: 10vh;
    
        background-color: rgba(0,0,0,.6);
        backdrop-filter: blur(20px);
    
        z-index: 1000;
    
        display: flex;
    
        justify-content: center;
    
        align-items: center;
    
        transition: width 0.3s cubic-bezier(.08,.24,.15,.86);
       
        border-radius: 2vw;
    
    
    }
    
    
    .menu-mobile-overlay.active {
    
        width: 100%;
       height: 100vh;
    
    }
    
    .menu-mobile {
        opacity: 0;
        visibility: hidden;
        transition-timing-function: cubic-bezier(.08,.24,.15,.86);
        transition-duration: 300ms;
        transition-delay: 50ms;
        margin-top: -10vw;
    }
    
    .menu-mobile-overlay.active .menu-mobile {
        opacity: 1;
        visibility: visible;
    }
    
    .menu-mobile ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }
    
    .menu-mobile li {
        margin: 20px 0;
        transform: translateY(20px);
        opacity: 0;
        transition: all 0.3s cubic-bezier(.08,.24,.15,.86);
    }
    
    .menu-mobile-overlay.active .menu-mobile li {
        transform: translateY(0);
        opacity: 1;
        transition-delay: 0.3s;
    }
    
    .menu-mobile a {
        color: var(--c1);
        text-decoration: none;
        font-size: 24px;
        transition: color 0.3s ease;
        font-size: 6.66vw;
        font-family: "acumin-variable", sans-serif;
        font-variation-settings: "slnt" 0, "wdth" 90, "wght" 666;
    }
    
    .menu-mobile a:hover {
        text-decoration: underline;
    
    }
    
    /* Animazione del bottone */
    .menu-mobile-button.active {
        color: red !important;
        border: none !important;
        outline: none !important;
    }
    
    .menu-mobile-button:focus {
        border: none !important;
        outline: none !important;
    }
    
    /* Transizione di ritorno */
    .menu-mobile-overlay:not(.active) {
        transition: all 0.3s ease-in-out;
    }
    
    .menu-mobile-overlay:not(.active) .menu-mobile {
        transition: all 0.3s ease-in-out;
    }
    
    .menu-mobile-overlay:not(.active) .menu-mobile li {
        transition: all 0.3s ease-in-out;
    }
    
    /* Fine Menu Mobile*/



    .hero{

        height: 66.6vw;
    }

    #layer0{margin-top: 35vw;}
    #layer1{margin-top: 24vw;}
    #layer2{margin-top: 9vw;}
    #layer3{margin-top: 44vw;}
    #layer4{margin-top: 23vw;}


    .hero-content h1{

        font-size: 9.666vw;
    }
    

}